Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface DependencySituation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable, SituationType

All Known Implementing Classes:
  DependencySituationImpl

public interface DependencySituation
extends SituationType

A representation of the model object 'Dependency Situation'.

The DependencySituation deals with the situations that components produce to say that they cannot find some component or feature they need. This category includes messages about not finding the version of the component that was expected. Messages that say a resource was not found or that an application or subsystem that was unavailable also fall into this category. Existing messages include words like "could not find", and "no such component", for example:

`WSVR0017E: Error encountered binding the J2EE resource, Pet Store JMS Queue Connection Factory, as jms/queue/QueueConnectionFactory from resources.xml no resource binder found`

Since:
  1.0.1

  The following features are supported:

  - `Dependency Disposition`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getDependencySituation()`

Method Summary
`java.lang.String` | `getDependencyDisposition()` Returns the value of the 'Dependency Disposition' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setDependencyDisposition(java.lang.String value)` Sets the value of the '`Dependency Disposition`' attribute

Methods inherited from interface org.eclipse.hyades.logging.events.cbe.SituationType
`getReasoningScope, setReasoningScope, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDependencyDisposition

    public java.lang.String getDependencyDisposition()

  Returns the value of the 'Dependency Disposition' attribute.

  Returns:
    the value of the 'Dependency Disposition' attribute.
  See Also:
    `setDependencyDisposition(String)`, `EventPackage.getDependencySituation_DependencyDisposition()`

### setDependencyDisposition

    public void setDependencyDisposition(java.lang.String value)

  Sets the value of the '`Dependency Disposition`' attribute.

  This property specifies the dependency disposition of a feature of a component that caused the situation to be reported. The featureDisposition is a string with the following set of values:

  - MET
  - NOT MET

  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Dependency Disposition' attribute.
  See Also:
    `getDependencyDisposition()`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `SituationType`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD